[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# DecodeDateTime

Decode a TDateTime value in a date and time value

## Declaration

Source position: dateutil.inc line 318

`procedure DecodeDateTime(`
`const AValue: TDateTime;`
`out AYear: Word;`
`out AMonth: Word;`
`out ADay: Word;`
`out AHour: Word;`
`out AMinute: Word;`
`out ASecond: Word;`
`out AMilliSecond: Word`
`);`

## Arguments

`AValue` |  | TDateTime to decode
`AYear` |  | Returns the year part of AValue.
`AMonth` |  | Returns the month part of AValue.
`ADay` |  | Returns the day part of AValue.
`AHour` |  | Returns the hour part of AValue.
`AMinute` |  | Returns the minute part of AValue.
`ASecond` |  | Returns the second part of AValue.
`AMilliSecond` |  | Returns the millisecond part of AValue.

## Description

DecodeDateTime decomposes the date/time indication in AValue and returns the various components in AYear, AMonth, ADay, AHour, AMinute, ASecond, AMilliSecond

## See also

EncodeDateTime |  | Encodes a TDateTime value from all its parts
EncodeDateMonthWeek |  | Encodes a year, month, week of month and day of week to a TDateTime value
EncodeDateWeek |  | Encode a TDateTime value from a year, week and day of week triplet
EncodeDateDay |  | Encodes a year and day of year to a TDateTime value
DecodeDateWeek |  | Decode a TDateTime value in a week of year and day of week.
DecodeDateDay |  | Decode a TDateTime value in year and year of day.
DecodeDateMonthWeek |  | Decode a TDateTime value in a month, week of month and day of week

## Example

    Program Example79;

    { This program demonstrates the DecodeDateTime function }

    Uses SysUtils,DateUtils;

    Var
      Y,Mo,D,H,Mi,S,MS : Word;
      TS : TDateTime;

    Begin
      DecodeDateTime(Now,Y,Mo,D,H,Mi,S,MS);
      TS:=EncodeDateTime(Y,Mo,D,H,Mi,S,MS);
      Writeln('Now is : ',DateTimeToStr(TS));
    End.